Issue 119551 - [From Symphony]Can't open by MS Office correctly when save sample file contain line with text to ppt format file
[From Symphony]Can't open by MS Office correctly when save sample file contai...
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: save-export
3.4.0
PC All
: P3 major (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 05:26 UTC by Li Feng Wang
Modified: 2012-12-26 08:11 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample file (52.00 KB, application/vnd.oasis.opendocument.presentation)
2012-05-30 05:26 UTC, Li Feng Wang
no flags Details
screenshot of error dialog (105.34 KB, image/png)
2012-05-30 05:27 UTC, Li Feng Wang
no flags Details
Fix patch for this issue (2.21 KB, patch)
2012-06-12 08:33 UTC, Ma Bingbing
no flags Details | Diff
Extended patch for fixing (6.60 KB, patch)
2012-06-20 12:40 UTC, Armin Le Grand
awf.aoo: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Li Feng Wang 2012-05-30 05:26:59 UTC
Created attachment 77761 [details]
sample file

build:
AOO3.4 r1327774

steps:
1.Open the attached sample file in AOO3.4 
2.Save it ppt format file
3.Open the ppt format file in MS Office 2003 SP3

Defect:
Prompt a warning dialog. After click ok, slides contain connector can't display.

sample file and screenshot of warning dialog are in attachment
Comment 1 Li Feng Wang 2012-05-30 05:27:51 UTC
Created attachment 77762 [details]
screenshot of error dialog
Comment 2 Ma Bingbing 2012-06-12 08:33:58 UTC
Created attachment 78256 [details]
Fix patch for this issue

Line, poly line, etc with additional text in AOO is one object, but MS Powerpoint did not support this feature. So the additional text will be separated as one text object and grouped with shape object after exporting to ppt. But Microsoft patch (KB2289187) breaks Impress/PowerPoint compatibility for grouped objects.

So, we do not group text object and shape object now.
Comment 3 Armin Le Grand 2012-06-20 12:24:28 UTC
ALG: Looks good, but bAdditionalText is also used for "drawing.Ellipse", so to take out the LeaveGroup() inside the if(bAdditionalText) all places where bAdditionalText is set to true need to be handled.
All of these are for polygon graphics, so it is possible. Added all places where bAdditionalText is set to true, checking.
Comment 4 Armin Le Grand 2012-06-20 12:40:04 UTC
ALG: Setting nGroupLevel when not entering groups is probably also not needed, removing, too. This leads to SetGroupSnapRect and SetGroupLogicRect to be also not needed, also nGroupLevel itself may be no longer needed. Checking and testing...
Comment 5 Armin Le Grand 2012-06-20 12:40:43 UTC
Created attachment 78404 [details]
Extended patch for fixing
Comment 6 Armin Le Grand 2012-06-20 12:42:00 UTC
ALG: Added extended patch, please have a look.
Comment 7 Ma Bingbing 2012-07-02 02:25:32 UTC
patch(In reply to comment #5)
> Created attachment 78404 [details]
> Extended patch for fixing

it works well, thanks for your patch.
Comment 8 Andre 2012-07-06 11:59:51 UTC
Both of you are happy with the current patch and ALG is on vacation.  Shall I commit the patch?
Comment 9 Andre 2012-07-06 12:00:39 UTC
Taking ownership.
Comment 10 Armin Le Grand 2012-07-06 17:52:07 UTC
ALG: Andre, thanks, please go ahead!
Comment 11 Andre 2012-07-09 09:05:37 UTC
Comment on attachment 78404 [details]
Extended patch for fixing

Reviewed and committed in SVN revision 1358979.
Comment 12 Andre 2012-07-09 09:07:49 UTC
Comment on attachment 78256 [details]
Fix patch for this issue

Superseded by an extended patch.
Comment 13 Andre 2012-07-09 09:08:16 UTC
Resolving issue as fixed.
Comment 14 Li Feng Wang 2012-08-20 07:00:37 UTC
Build:
AOO trunk r1374181

Result:
Can be opened by MS Office after save sample file to ppt.

But there are some connectors with text will lose text in slide5 after save to ppt. (not all in slide5, part of connectors in slide5)